文档API 参考

Rust · 0.1.0

Create Linked Identity

POST /api/v1/users/{user}/linkedIdentities

UserService · UserService_CreateLinkedIdentity

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

仅限所有者:路径中的用户必须是已认证调用者;实例管理员身份不允许在此代替其他账号操作。

完成 SSO 授权流程

调用者通过提供方授权码、匹配的 redirectUri 以及所需 PKCE codeVerifier,为自己的账号关联身份。此操作不是直接指定任意 externUid,也不会按邮箱合并账号。已关联其他账号的身份不能通过此调用直接转移。

请求

CreateLinkedIdentity links an SSO identity to the authenticated user.

POST/api/v1/users/{user}/linkedIdentities

参数

名称 / 位置类型 / 是否必需描述
user
path
string
必需
The user id.

请求体

必需

application/json · CreateLinkedIdentityRequest

响应

200 · OK

application/json · LinkedIdentity

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "UserService"
  ],
  "description": "CreateLinkedIdentity links an SSO identity to the authenticated user.",
  "operationId": "UserService_CreateLinkedIdentity",
  "parameters": [
    {
      "name": "user",
      "in": "path",
      "description": "The user id.",
      "required": true,
      "schema": {
        "type": "string"
      }
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/CreateLinkedIdentityRequest"
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/LinkedIdentity"
          }
        }
      }
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}